> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> List all keywords in a moderation list.

# List keywords



## OpenAPI

````yaml get /moderation/keywords
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
paths:
  /moderation/keywords:
    get:
      tags:
        - Moderation
      summary: List keywords
      description: Fetches all the keywords.
      operationId: list-rule-keywords
      parameters:
        - $ref: 900ff1b0-74f5-4642-acbb-babdc818ac5c
        - $ref: cc7fca35-62de-4a16-87da-10ae1da70d6e
        - $ref: 9425386d-3f95-4f38-ac75-494cd14fc652
      responses:
        '200':
          description: List Keywords
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      '':
                        $ref: '#/components/schemas/webhookSchema'
                    type: object
                  meta:
                    properties:
                      '':
                        $ref: '#/components/schemas/metaSchema'
                    type: object
                type: object
              example:
                data:
                  - _id: 66857afdb4bf371ddfba853b
                    id: profane-word-list-1
                    appId: 253179cf5f665257
                    name: profane word list
                    description: Profane word list
                    category: word
                    isCSV: true
                    searchTerms:
                      - '"a"'
                      - '"b"'
                      - '"c"'
                    createdAt: 1720023805
                    updatedAt: 1720023805
                    revisionId: 253179cf5f665257_profane-word-list-1_1
                    active: true
                    __v: 0
                  - _id: 666c01eccfe97336757fb611
                    id: profanity-list
                    name: Profane Words
                    category: word
                    isCSV: false
                    searchTerms:
                      - fuck
                      - nigger
                      - fuck
                      - nigger
                      - wanker
                      - cunt
                      - damn
                      - shit
                      - fag
                      - shithead
                      - jizz
                      - hellbitch
                      - retard
                      - cocksucker
                      - cock
                      - kill
                      - cunt
                      - kike
                      - twat
                      - bastard
                      - death
                      - asshole
                      - wop
                      - scumbag
                      - penis
                      - murder
                      - dick
                      - gook
                      - vagina
                      - rape
                      - bastard
                      - spic
                      - spunk
                      - beat
                    createdAt: 1718354412
                    updatedAt: 1718354412
                    revisionId: 253157108b5294c4_profanity-list_1
                    active: true
                    __v: 0
                    default: true
                    appId: default
                meta:
                  current:
                    limit: 10
                    count: 2
components:
  schemas:
    webhookSchema:
      description: Response data
      properties:
        id:
          type: string
        name:
          type: string
        webhookURL:
          type: string
        useBasicAuth:
          type: boolean
        username:
          type: string
        password:
          type: string
        enabled:
          type: boolean
        createdAt:
          type: integer
        updatedAt:
          type: integer
      type: object
    metaSchema:
      properties:
        pagination:
          properties:
            total:
              type: integer
            count:
              type: integer
            per_page:
              type: integer
            current_page:
              type: integer
            total_pages:
              type: integer
          type: object
      type: object

````